<article>
  <div class="teaser-content">
      
      @if(isset($term_list) && $term_list)
          <span style="
          @if(isset($badge_inverted_colors) && $badge_inverted_colors) 
              background-color: rgba(0,0,0,0)!important; 
              color: {!! isset($category_color) ? $category_color : '' !!}; 
              border: {!! isset($badge_outline_width) ? $badge_outline_width : 0 !!}px solid {!! isset($category_color) ? $category_color : '' !!};
          @endif
          @if(isset($category_color) && $category_color) 
              background-color: {!! $category_color !!}; 
          @endif 
          color: {!! isset($badge_text_color) ? $badge_text_color : '' !!}; 
          border-radius: {!! isset($badge_border_radius) ? $badge_border_radius : 0 !!}px"
          class="job-badge {!! $term_list[0]->slug !!} inline-block py-1 px-8 mb-8">
              {!! $term_list[0]->slug !!}
          </span>
      @endif
      <a href="{!! isset($job->ID) ? get_permalink($job->ID) : '#' !!}">
          <h2 style="color: {!! isset($title_color) ? $title_color : '' !!}" class="font-bold text-xl mb-2">{!! isset($job) ? get_the_title($job) : '' !!}</h2>
      </a>
      <div class="teaser-info teser-job-info">
          @if (isset($info) && $info)
              <div style="color: {!! isset($excerpt_color) ? $excerpt_color : '' !!}" class="teaser-detail">
                  <p>{!! $info !!}</p>
              </div>
          @endif
      </div>
      <a href="{!! isset($job->ID) ? get_permalink($job->ID) : '#' !!}">
          <div
              style="
              background-color: {!! isset($cta_background) ? $cta_background : '' !!};
              border: {!! isset($cta_outline_width) ? $cta_outline_width : 0 !!}px {!! isset($cta_outline_color) ? $cta_outline_color : '' !!} solid;
              border-radius: {!! isset($box_border_radius) ? $box_border_radius : 0 !!}px;
              
              " class="teaser-cta inline-block py-4 px-8 mt-16">
              <div class="flex align-middle">
                  @if (isset($cta_icon_job) && $cta_icon_job)
                      <img width="16" height="16" src="{!! $cta_icon_job !!}" alt="cta-icon" class="{!! isset($cta_text) && $cta_text ? 'mr-2' : ''!!}">
                  @endif
              <span style="color: {!! isset($cta_text_color) ? $cta_text_color : '' !!}">{!! isset($cta_text) ? $cta_text : '' !!}</span>
              </div>
          </div>
      </a>
  </div>
</article>